diff -u cups-1.3.8-orig/scheduler/auth.c cups-1.3.8/scheduler/auth.c
--- cups-1.3.8-orig/scheduler/auth.c	2008-04-21 19:13:22.000000000 -0400
+++ cups-1.3.8/scheduler/auth.c	2009-08-25 11:59:12.000000000 -0400
@@ -115,7 +115,7 @@
 			              const char *con_server_name);
 #endif /* HAVE_GSSAPI */
 static char		*get_md5_password(const char *username,
-			                  const char *group, char passwd[33]);
+			                  const char *group, char passwd[MD5_HASHLEN]);
 #if HAVE_LIBPAM
 static int		pam_func(int, const struct pam_message **,
 			         struct pam_response **, void *);
@@ -131,8 +131,8 @@
 #if HAVE_LIBPAM
 typedef struct cupsd_authdata_s		/**** Authentication data ****/
 {
-  char	username[33],			/* Username string */
-	password[33];			/* Password string */
+  char	username[MAX_USERPASS],			/* Username string */
+	password[MAX_USERPASS];			/* Password string */
 } cupsd_authdata_t;
 #endif /* HAVE_LIBPAM */
 
@@ -339,12 +339,12 @@
   int		type;			/* Authentication type */
   const char	*authorization;		/* Pointer into Authorization string */
   char		*ptr,			/* Pointer into string */
-		username[256],		/* Username string */
-		password[33];		/* Password string */
+		username[MAX_USERPASS],		/* Username string */
+		password[MAX_USERPASS];		/* Password string */
   cupsd_cert_t	*localuser;		/* Certificate username */
   char		nonce[HTTP_MAX_VALUE],	/* Nonce value from client */
-		md5[33],		/* MD5 password */
-		basicmd5[33];		/* MD5 of Basic password */
+		md5[MD5_HASHLEN],		/* MD5 password */
+		basicmd5[MD5_HASHLEN];		/* MD5 of Basic password */
   static const char * const states[] =	/* HTTP client states... */
 		{
 		  "WAITING",
@@ -1282,7 +1282,7 @@
 {
   int			i;		/* Looping var */
   struct group		*group;		/* System group info */
-  char			junk[33];	/* MD5 password (not used) */
+  char			junk[MD5_HASHLEN];	/* MD5 password (not used) */
 #ifdef HAVE_MBR_UID_TO_UUID
   uuid_t		useruuid,	/* UUID for username */
 			groupuuid;	/* UUID for groupname */
@@ -2516,13 +2516,13 @@
 static char *				/* O - MD5 password string */
 get_md5_password(const char *username,	/* I - Username */
                  const char *group,	/* I - Group */
-                 char       passwd[33])	/* O - MD5 password string */
+                 char       passwd[MD5_HASHLEN])	/* O - MD5 password string */
 {
   cups_file_t	*fp;			/* passwd.md5 file */
   char		filename[1024],		/* passwd.md5 filename */
 		line[256],		/* Line from file */
-		tempuser[33],		/* User from file */
-		tempgroup[33];		/* Group from file */
+		tempuser[MAX_USERPASS],		/* User from file */
+		tempgroup[MAX_USERPASS];		/* Group from file */
 
 
   cupsdLogMessage(CUPSD_LOG_DEBUG2,
diff -u cups-1.3.8-orig/scheduler/cupsd.h cups-1.3.8/scheduler/cupsd.h
--- cups-1.3.8-orig/scheduler/cupsd.h	2008-02-15 18:26:51.000000000 -0500
+++ cups-1.3.8/scheduler/cupsd.h	2009-08-25 11:23:38.000000000 -0400
@@ -74,13 +74,14 @@
 #  define TRUE		(!FALSE)
 #endif /* !FALSE */
 
+#define MD5_HASHLEN	33
 
 /*
  * Implementation limits...
  */
 
 #define MAX_ENV			100	/* Maximum number of environment strings */
-#define MAX_USERPASS		33	/* Maximum size of username/password */
+#define MAX_USERPASS		128	/* Maximum size of username/password */
 #define MAX_FILTERS		20	/* Maximum number of filters */
 #define MAX_SYSTEM_GROUPS	32	/* Maximum number of system groups */
 
